---
Name: proxmox-admin-account
Description: "Set up the 'admin' account on proxmox in PVE Realm"
Documentation: |
  Adds the `admin` account with Administrator role and rights to the
  `/` resources.

Meta:
  color: blue
  feature-flags: sane-exit-codes
  icon: expand arrows alternate
  title: RackN Content
OptionalParams: []
Prerequisites: []
Templates:
  - Name: "proxmox-admin-account"
    Contents: |-
      #!/usr/bin/env bash
      # Proxmox Lab setup virtual machines

      ############### WARNING:
      ############### WARNING: THIS DESPERATELY need templatized !!!!
      ############### WARNING:

      set -e
      echo "Setting up 'admin' user ' with Administrator privileges."
      set -x

      # nuke our users if they exist
      pveum user delete admin@pve || true
      pveum group delete admin || true

      # creates user "admin" as Administrator in PVE Realm
      pveum group add admin -comment "System Administrators"
      pveum aclmod / -group admin -role Administrator
      pveum user add admin@pve -comment "PVE Admin" -firstname PVE -lastname Admin -groups admin -password RocketSkates
      pveum usermod admin@pve -group admin

      set +x
